org.apache.groovy.internal.util

## Class UncheckedThrow

- java.lang.Object
- - org.apache.groovy.internal.util.UncheckedThrow

-     @Incubating
      public class UncheckedThrow
      extends java.lang.Object

  Allows to throw a checked exception unchecked. INTERNAL USE ONLY.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedThrow()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `rethrow(java.lang.Throwable checkedException)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedThrow

          public UncheckedThrow()

  - ### Method Detail

    - #### rethrow

          public static void rethrow(java.lang.Throwable checkedException)